Bug 973311 - Agent should support sending inventory and collection data to server on a user defined schedule or interval
Agent should support sending inventory and collection data to server on a use...
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.2
All All
unspecified Severity low
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 12:25 EDT by Viet Nguyen
Modified: 2015-01-05 15:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viet Nguyen 2013-06-11 12:25:40 EDT
Use Case:  
I want to collect metrics on managed resources but do not care about (near) real-time availability of those resources.  

1.  user registers agent with server
2.  user initiates off-line mode
3a. user manually syncs inventory reports, metrics
3b. user sets sync schedules, hourly, daily
Comment 2 Jay Shaughnessy 2014-08-22 17:43:22 EDT
I'm not sure I understand what the benefit is that you are looking for with an offline agent.  What do you gain with offline?  Or, put another way, what is the downside of the online agent?

Regardless, this won't make it into 3.3, pushing.
Comment 3 Viet Nguyen 2014-09-16 17:02:04 EDT
I can think of another use case:

1. JON can be used as a generic data aggregator.  For example I want to collect CPU usage of 10 servers at high frequency (ex. 15 second interval) and so I can view graphs of such data as a function of time for troubleshooting/analysis.  I don't want to bother with availability checks, late/miss collections.  
  
2. Optionally define a sync window that the agent can upload data

3. As a manual operation I can import or 'pump' agent offline data in json format to JON server
Comment 4 Jay Shaughnessy 2014-09-16 17:33:30 EDT
Moving to JON4 as architectural input.
Comment 5 Larry O'Leary 2015-01-05 15:00:09 EST
Agent's already have a "off-line" capability. I think the difference here is that the current feature only kicks in when the agent is unable to reach its server. It probably does make sense that a sync window/schedule be supported which allows the agent to only connect and send its data to a JBoss ON server at a predetermined interval.

Additionally, a toggle to enable and disable specific monitoring components without having to modify the actual collection schedules. For example:

 - Perform Discovery Scans? Yes / No
   - How often to send inventory data to server: default / ?? minutes/hours/days
 - Perform Availability Checks? Yes / No
   - How often to send availability data to server: default / ?? minutes/hours/days
 - Perform Metric Collection? Yes / No
   - How often to send metric data to server: default / ?? minutes/hours/days
 - Perform Event Monitoring? Yes / No
   - How often to send event data to server: default / ?? minutes/hours/days
 - Perform Drift Scanning? Yes / No
   - How often to send drift data to server: default / ?? minutes/hours/days

Note You need to log in before you can comment on or make changes to this bug.